###
### RPM spec file for libkafka
###
%define rel_ver 0.5.0

Summary: A C/C++ client library for Apache Kafka v0.8+
Name: libkafka
Version: %{rel_ver}
Release: 1
License: ASL 2.0
Group: System Environment/Libraries

Source0: https://github.com/adobe-research/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
URL: http://github.com/adobe-research/libkafka

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: zlib-devel, snappy-devel, libtool
Requires: zlib, snappy


%description
A C++ client library for Apache Kafka v0.8+. Also includes C API.

Supports the following Kafka API request/response calls:

-- Metadata
-- Produce
-- Fetch
-- Offset

Not compatible with Kafka versions prior to 0.8 due to wire protocol changes.

%package devel
Summary:	Header files for developing with libkafka
Group:		Development/Libraries
License:	ASL 2.0
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
This package contains the header files required to build applications using 
the libkafka library.


%package static
Summary:	A static library for developing with libkafka
Group:		Development/Libraries
License:	ASL 2.0
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	static
Libraries for static linking of applications using libkafka.

Most users do not need to install this package.


%prep
%setup -q


%build
./autogen.sh
%configure --disable-gtest
make


%install
make ROOT="%{buildroot}" DESTDIR="%{buildroot}" install


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING README.md CHANGELOG LICENSE
%{_libdir}/*.so*

%files devel
%defattr(-,root,root)
%doc AUTHORS COPYING README.md CHANGELOG LICENSE
%{_includedir}/%{name}

%files static
%defattr(-,root,root)
%doc AUTHORS COPYING README.md CHANGELOG LICENSE
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Thu Jul 10 2014 Japheth Cleaver <cleaver@terabithia.org> - 0.5.0-1
- new package (based on included in tarball)
- separate into devel/static packages
- disable gtest (not available in EL)
